<Serializable()> Public Class Car
    Friend _carID As Integer = -1
    Friend _carMake As String = ""
    Friend _carModel As String = ""
    Friend _engineType As String = ""

    Sub New()

    End Sub

    Sub New(ByVal carID As Integer, ByVal carMake As String, ByVal carModel As String, ByVal engineType As String)

        _carID = carID
        _carMake = carMake
        _carModel = carModel
        _engineType = engineType

    End Sub

    Public Property CarID() As Integer
        Get
            Return _carID
        End Get
        Set(ByVal value As Integer)
            _carID = value
        End Set
    End Property

    Public Property CarMake() As String
        Get
            Return _carMake
        End Get
        Set(ByVal value As String)
            _carMake = value
        End Set
    End Property

    Public Property CarModel() As String
        Get
            Return _carModel
        End Get
        Set(ByVal value As String)
            _carModel = value
        End Set
    End Property

    Public Property EngineType() As String
        Get
            Return _engineType
        End Get
        Set(ByVal value As String)
            _engineType = value
        End Set
    End Property

End Class
